QGIS Application - Feature request #15033
Processing: Warp should include -te_srs parameter
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22980
Description

-te_srs srs_def: (GDAL >= 2.0) Specifies the SRS in which to interpret the coordinates given with -te.

Without this parameter, the extent will be considered expressed using the target SRS.
This can generate very big file when target is, for example, EPSG:4326.

Associated revisions

Revision b9b8d37c - 2016-06-22 11:45 AM - Alexander Bruy

[processing] add "-te_srs" option to gdal_warp (fix #15033)

History

#1 - 2016-06-21 04:09 AM - Alexander Bruy
- Tracker changed from Bug report to Feature request

#2 - 2016-06-22 02:44 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"b9b8d37cc0b4c80ee50b4cc29b140262bf470354".

#3 - 2016-07-15 08:38 AM - Tom Chadwin

This (in 2.16) fails for me on Ubuntu Trusty, without GDAL2:

2016-07-15T16:37:11 2 Uncaught error while executing algorithm
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute
self.processAlgorithm(progress)
File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 51, in processAlgorithm
commands = self.getConsoleCommands()
File "/usr/share/qgis/python/plugins/processing/algs/gdal/warp.py", line 179, in getConsoleCommands
if rastext and len(rastext_crs) > 0:
TypeError: object of type 'NoneType' has no len()

I've submitted a PR:

https://github.com/qgis/QGIS/pull/3310
https://github.com/qgis/QGIS/pull/3310

However, | am unclear if the fix should in fact be as simple as in this line note:

https://github.com/qqgis/QGIS/pull/3310/files#r70984948

Just to be clear, I've not deliberately avoided GDAL2 - my installation simply seems not to have it, and leads to the failure.
